push_all_buttons_chapter02 = {}

push_all_buttons_chapter02.params = 
{
	different_buttons = true, -- одинаковые ли картинки у кнопок
	buttons = 
	{
		{	-- 1
			pos = sf.misc.FloatVector(376.0, 415.0),
			on = true,
			buttons = {5}
		},
		{	-- 2
			pos = sf.misc.FloatVector(324.0, 241.0),
			--on = false,
			--buttons = {1,3}
		},
		{	-- 3
			pos = sf.misc.FloatVector(395.0, 84.0),
			on = true,
			buttons = {5}
		},
		{	-- 4
			pos = sf.misc.FloatVector(530.0, 86.0),
			on = false,
			buttons = {1}
		},
		{	-- 5
			pos = sf.misc.FloatVector(562.0, 237.0),
			on = false
			--buttons = {2}
		},
		{	-- 6
			pos = sf.misc.FloatVector(516.0, 419.0),
			on = false,
			buttons = {3}
		}		
	},
	
	sound_click = "open_stone",
	clip_layer = 3, -- слой, на котором будет клип
	clip_id = "minigame_inner_shine_0" -- id клипа с эффектом
}

push_all_buttons_chapter02.Init = function(_owner)
	push_all_buttons.params = push_all_buttons_chapter02.params
	push_all_buttons.Init(_owner)
end

for p,v in pairs(push_all_buttons) do
	if not push_all_buttons_chapter02[p] then push_all_buttons_chapter02[p] = v end
end

